CREATE TABLE `hs_sys_userInfo`  (
   `user_id` varchar(20) NOT NULL COMMENT '用户ID',
   `user_name` varchar(20) NULL COMMENT '用户名称',
   `phone_number` varchar(11) NOT NULL COMMENT '手机号码',
   `user_password` varchar(50) NULL COMMENT '用户密码',
   `card_type` int(0) NULL COMMENT '证件类型(1:身份证,2:社保卡,3:军官证,4:护照)',
   `card_number` varchar(20) NULL COMMENT '证件号码',
   `birthday` date NULL COMMENT '生日',
   `address` varchar(100) NULL COMMENT '地址',
   `mail_box` varchar(20) NULL COMMENT '邮箱',
   `related_account` varchar(20) NULL COMMENT '关联账户',
   `organization_code` varchar(20) NULL COMMENT '机构代码',
   `is_delete` int(0) NULL COMMENT '是否删除(1:是,0:否)',
   `create_by` varchar(20) NULL COMMENT '创建人',
   `create_time` datetime(0) NULL COMMENT '创建时间',
   `update_by` varchar(20) NULL COMMENT '修改人',
   `update_time` datetime(0) NULL COMMENT '修改时间',
   PRIMARY KEY (`user_id`)
) COMMENT = '注册用户信息表';