SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for hs_canteen_evaluate
-- ----------------------------
DROP TABLE IF EXISTS `hs_canteen_evaluate`;
CREATE TABLE `hs_canteen_evaluate`  (
  `evaluate_id` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '菜品评价id',
  `evaluate_number` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '评价编码',
  `menu_number` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '菜单编号',
  `cuisine_number` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '菜品编号',
  `cuisine_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '菜品名称',
  `cuisine_score` decimal(10, 1) NULL DEFAULT NULL COMMENT '菜品评分',
  `evaluate_reason` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '评分原因',
  `submit_time` datetime(0) NULL DEFAULT NULL COMMENT '提交时间',
  `is_delete` int(1) NULL DEFAULT 0 COMMENT '是否删除（0.未删除；1.已删除）',
  PRIMARY KEY (`evaluate_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

SET FOREIGN_KEY_CHECKS = 1;