CREATE TABLE `sys_card_info`  (
   `id` varchar(20) NOT NULL COMMENT '主键',
   `card_username` varchar(20) NULL COMMENT '卡片用户名称',
   `card_phonenumber` varchar(11) NULL COMMENT '卡片手机号码',
   `card_password` varchar(100) NULL COMMENT '卡片密码',
   `user_id` bigint(20) NULL COMMENT '用户id',
   `organization_code` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '机构代码',
   `is_delete` int(11) NULL DEFAULT NULL COMMENT '是否删除(1:是,0:否)',
   `create_by` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '创建人',
   `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
   `update_by` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '修改人',
   `update_time` datetime(0) NULL DEFAULT NULL COMMENT '修改时间',
   PRIMARY KEY (`id`)
) COMMENT = '卡片用户信息表';