CREATE TABLE `pns_integral`  (
   `id` varchar(20) NOT NULL COMMENT '主键',
   `money_type` int(11) NULL COMMENT '金额类型',
   `recharge_equipment_code` varchar(50) NULL COMMENT '充值设备编码',
   `recharge_equipment_name` varchar(50) NULL COMMENT '充值设备名称',
   `login_name` varchar(30) NULL COMMENT '账户id',
   `nick_name` varchar(30) NULL COMMENT '账户名称',
   `card_number` varchar(20) NULL COMMENT '卡片编号',
   `card_name` varchar(20) NULL COMMENT '卡片名称',
   `recharge_time` datetime(0) NULL COMMENT '充值时间',
   `recharge_integral` decimal(10, 2) NULL COMMENT '充值积分',
   `is_delete` int(11) NULL COMMENT '是否删除(1:是,0:否)',
   `organization_code` varchar(20) NULL COMMENT '机构代码',
   `recharge_id` bigint(20) NULL COMMENT '操作账户编号',
   `update_time` datetime(0) NULL COMMENT '更新时间',
   PRIMARY KEY (`id`)
) COMMENT = '积分管理表';