SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for hs_canteen_menu
-- ----------------------------
DROP TABLE IF EXISTS `hs_canteen_menu`;
CREATE TABLE `hs_canteen_menu`  (
  `menu_id` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '菜单id',
  `menu_number` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '菜单编号',
  `menu_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '菜单名称',
  `period_id` int(10) NULL DEFAULT NULL COMMENT '时段id',
  `pattern_id` int(10) NULL DEFAULT NULL COMMENT '消费模式id',
  `consumer_type` int(10) NULL DEFAULT NULL COMMENT '消费人员类型',
  `is_delete` int(1) NULL DEFAULT 0 COMMENT '是否删除（0.未删除；1.已删除）',
  PRIMARY KEY (`menu_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

SET FOREIGN_KEY_CHECKS = 1;