package com.willalp.canteen.domain.req;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.willalp.canteen.domain.resp.CuisineListResp;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
public class DeviceOrderSubmissionReq {

    private static final long serialVersionUID = 1L;
    //@NotNull(message = "菜单编号不能为空")
    private String menuNumber;

    private Integer patternId;

    private BigDecimal orderTotal;

    private String deviceNumber;

    private String placeNumber;

    private int num;

    //@NotNull(message = "支付时间不能不能为空")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date paytime;

    //@NotNull(message = "订单明细不能为空")
    private List<CuisineListResp> details;
}
