package com.willalp.canteen.domain.vo;

import com.willalp.common.annotation.Excel;
import lombok.Data;

/**
 * 菜单统计 excel实体
 */
@Data
public class MenuCountVo {
    public MenuCountVo() {

    }

    public MenuCountVo(String uName, String uCode, String foodInformation,String jcd) {
        this.uName = uName;
        this.uCode = uCode;
        this.foodInformation = foodInformation;
        this.jcd = jcd;
    }

    @Excel(name = "姓名")
    private String uName;
    @Excel(name = "用户编号")
    private String uCode;
    @Excel(name = "菜品信息", width = 90)
    private String foodInformation;
    @Excel(name = "就餐地")
    private String jcd;
}
