package com.willalp.canteen.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.canteen.domain.HsCanteenEvaluate;

import java.util.List;

/**
 * 菜品评价Service接口
 *
 * @author songyu
 * @date 2021-11-26
 */
public interface IHsCanteenEvaluateService extends IService<HsCanteenEvaluate>
{
    /**
     * 查询菜品评价列表
     *
     * @param hsCanteenEvaluate 菜品评价
     * @return 菜品评价集合
     */
    public List<HsCanteenEvaluate> selectHsCanteenEvaluateList(HsCanteenEvaluate hsCanteenEvaluate);
}
