package com.willalp.addressbook.service;

import com.willalp.addressbook.domain.AddressBook;
import com.willalp.common.core.domain.entity.SysDept;

import java.util.List;

public interface IHsAddressBookService {

    /**
     * 获取该用户对应通讯录
     *
     * @param department 用户编号
     * @return
     */
    List<AddressBook> abList(String department);


    /**
     * 机构列表
     *
     * @param un
     * @param oc
     * @return
     */
    List<SysDept> institutionList(String un, String oc);

    /**
     * 群组通讯录
     *
     * @param data
     * @return
     */
    List<AddressBook> groupAbList(String data);
}
