package com.willalp.clockingin.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
import com.willalp.clockingin.domain.HsPnsClockingIn;
import com.willalp.clockingin.domain.HsPnsShift;

/**
 * 每日考勤信息Mapper接口
 *
 * @author willalp
 * @date 2022-04-26
 */
public interface HsPnsClockingInMapper extends BaseMapper<HsPnsClockingIn>
{
    /**
     * 查询每日考勤信息列表
     *
     * @param hsPnsClockingIn 每日考勤信息
     * @return 每日考勤信息集合
     */
    List<HsPnsClockingIn> selectHsPnsClockingInList(HsPnsClockingIn hsPnsClockingIn);
}
