package com.willalp.clockingin.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
import com.willalp.clockingin.domain.HsPnsVacateTime;

/**
 * 请假时间记录Mapper接口
 *
 * @author willalp
 * @date 2022-05-10
 */
public interface HsPnsVacateTimeMapper extends BaseMapper<HsPnsVacateTime>
{
    /**
     * 查询请假时间记录列表
     *
     * @param hsPnsVacateTime 请假时间记录
     * @return 请假时间记录集合
     */
    List<HsPnsVacateTime> selectHsPnsVacateTimeList(HsPnsVacateTime hsPnsVacateTime);


    /**
     * 获取每个用户最新的请假信息
     *
     * @return
     */
    List<HsPnsVacateTime> selectNewVacateInfo();
}
