package com.willalp.flow.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
import com.willalp.flow.domain.FileApproval;

/**
 * 文件审批业务Mapper接口
 *
 * @author willalp
 * @date 2022-11-30
 */
public interface FileApprovalMapper extends BaseMapper<FileApproval>
{
    /**
     * 查询文件审批业务列表
     *
     * @param fileApproval 文件审批业务
     * @return 文件审批业务集合
     */
    List<FileApproval> selectFileApprovalList(FileApproval fileApproval);
}
