package com.willalp.flow.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.willalp.flow.domain.HsFlowBase;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 流程基础模型Mapper接口
 *
 * @author willalp
 * @date 2022-10-09
 */
public interface HsFlowBaseMapper extends BaseMapper<HsFlowBase>
{
    /**
     * 查询流程基础模型列表
     *
     * @param hsFlowBase 流程基础模型
     * @return 流程基础模型集合
     */
    List<HsFlowBase> selectHsFlowBaseList(HsFlowBase hsFlowBase);

    HsFlowBase firstFlowBase(@Param("examplesId") String examplesId);
}
