package com.willalp.flow.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.flow.domain.FileApproval;

/**
 * 文件审批业务Service接口
 *
 * @author willalp
 * @date 2022-11-30
 */
public interface IFileApprovalService extends IService<FileApproval>
{
    /**
     * 查询文件审批业务列表
     *
     * @param fileApproval 文件审批业务
     * @return 文件审批业务集合
     */
    public List<FileApproval> selectFileApprovalList(FileApproval fileApproval);
}
