package com.willalp.flow.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.flow.domain.HsFlowConditionModel;

import java.util.List;

/**
 * 流程条件组件Service接口
 *
 * @author willalp
 * @date 2022-10-14
 */
public interface IHsFlowConditionModelService extends IService<HsFlowConditionModel>
{
    /**
     * 查询流程条件组件列表
     *
     * @param hsFlowConditionModel 流程条件组件
     * @return 流程条件组件集合
     */
    public List<HsFlowConditionModel> selectHsFlowConditionModelList(HsFlowConditionModel hsFlowConditionModel);


    boolean executeConditionJudgment(HsFlowConditionModel fcm, Object obj);
}
