package com.willalp.flow.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.flow.domain.HsFlowExamples;

import java.util.List;

/**
 * 流程实例Service接口
 *
 * @author willalp
 * @date 2022-10-09
 */
public interface IHsFlowExamplesService extends IService<HsFlowExamples>
{
    /**
     * 查询流程实例列表
     *
     * @param hsFlowExamples 流程实例
     * @return 流程实例集合
     */
    public List<HsFlowExamples> selectHsFlowExamplesList(HsFlowExamples hsFlowExamples);
}
