package com.willalp.group.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.willalp.group.domain.HsGroupConfig;

import java.util.List;

/**
 * 群组配置Mapper接口
 *
 * @author willalp
 * @date 2022-07-22
 */
public interface HsGroupConfigMapper extends BaseMapper<HsGroupConfig>
{
    /**
     * 查询群组配置列表
     *
     * @param hsGroupConfig 群组配置
     * @return 群组配置集合
     */
    List<HsGroupConfig> selectHsGroupConfigList(HsGroupConfig hsGroupConfig);
}
