package com.willalp.yiqing.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * 疫情登记信息对象 hs_yiqing_register
 *
 * @author willalp
 * @date 2022-05-16
 */
@Data
public class OrdersVo {
    private static final long serialVersionUID = 1L;

    /**
     * 姓名
     */
    private String userName;

    private String rnaResult;

    private String areaName;

    /**
     * 登记类型
     */
    private String registerType;

    private String normalStatus1;

    private String transferTime;

    /**
     * 派单导出时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date orderImportTime;

    /**
     * 登记间隔天数
     */
    private Integer registerGapDay;

    /**
     * 派单时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date orderTime;

}
