package com.willalp.yiqing.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.willalp.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

/**
 * @author hs
 */
@Data
public class RegisterVo {
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @Excel(name = "编号")
    private String UserNo;

    /**
     * 派单时间
     */
    @Excel(name = "派单时间", width = 15)
    private String sendOrdersEnd;

    /**
     * 门牌号
     */
    @Excel(name = "居委")
    private String houseNo;

    /**
     * 姓名
     */
    @Excel(name = "联系人")
    private String belongName;

    /**
     * 联系电话
     */
    @Excel(name = "联系电话")
    private String belongPhone;

    /**
     * 姓名
     */
    @Excel(name = "姓名")
    private String userName;

    /**
     * 证件号
     */
    @Excel(name = "证件号")
    private String attestNo;

    /**
     * 联系电话
     */
    @Excel(name = "个人电话")
    private String phone;

    /**
     * 居住地址
     */
    @Excel(name = "居住地址")
    private String address;


    /*
     * 核实人员	采样人员	采样时间	采样类型	采样结果	出舱/院情况	同住人数	备注
     */


    @Excel(name = "核实人员")
    private String e1;

    @Excel(name = "采样人员")
    private String e2;

    @Excel(name = "采样时间")
    private String e3;

    @Excel(name = "采样类型")
    private String e4;

    @Excel(name = "采样结果")
    private String e5;

    @Excel(name = "出舱/院情况")
    private String e6;

    @Excel(name = "同住人数")
    private String e7;

    /**
     * 登记人ID
     */
    private String userDataId;

    /**
     * 登记类型
     */
    private String registerType;

    /**
     * 分类
     */
    private String sort;

    /**
     * 状态
     */
    private String status;

    /**
     * 隔离地点
     */
    private String isolatedPlace;

    /**
     * 核酸结果
     */
    private String rnaResult;

    /**
     * 抗原结果
     */
    private String antigenResult;

    /**
     * 检测值
     */
    private String estimatedValue;

    /**
     * 登记说明
     */
    private String registerExplain;


    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 备注
     */
    @Excel(name = "备注")
    private String remark;
}

