package com.willalp.yiqing.domain.vo;

import com.willalp.yiqing.domain.HsTaskBelongUser;
import lombok.Data;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.stream.Collectors;

/**
 * 任务负责人提交伪类
 *
 * @author xian
 */
@Data
public class TaskBelongSaveVo {

    /**
     * 任务ID
     */
    private String taskId;

    /**
     * 负责人级别
     */
    private int belongLevel;

    /**
     * 用户集合
     */
    private List<HsTaskBelongUser> list = new ArrayList<>();

    /**
     * 获取集合时默认添加创建时间
     *
     * @return
     */
    public List<HsTaskBelongUser> getList() {
        return this.list.stream().peek(l -> l.setCreateTime(new Date())).collect(Collectors.toList());
    }
}
