package com.willalp.yiqing.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
import com.willalp.yiqing.domain.HsYiqingAddr;

/**
 * 疫情地理地址Mapper接口
 *
 * @author willalp
 * @date 2022-05-15
 */
public interface HsYiqingAddrMapper extends BaseMapper<HsYiqingAddr>
{
    /**
     * 查询疫情地理地址列表
     *
     * @param hsYiqingAddr 疫情地理地址
     * @return 疫情地理地址集合
     */
    List<HsYiqingAddr> selectHsYiqingAddrList(HsYiqingAddr hsYiqingAddr);
}
