package com.willalp.yiqing.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
import com.willalp.yiqing.domain.HsYiqingRegister;
import com.willalp.yiqing.domain.vo.RegisterVo;import com.willalp.yiqing.domain.vo.RegisterVo2;

/**
 * 疫情登记信息Mapper接口
 *
 * @author willalp
 * @date 2022-05-16
 */
public interface HsYiqingRegisterMapper extends BaseMapper<HsYiqingRegister>
{
    /**
     * 查询疫情登记信息列表
     *
     * @param hsYiqingRegister 疫情登记信息
     * @return 疫情登记信息集合
     */
    List<RegisterVo2> selectHsYiqingRegisterList(HsYiqingRegister hsYiqingRegister);

    /**
     * 查询最新一条疫情登记信息列表
     *
     * @param hsYiqingRegister 疫情登记信息
     * @return 疫情登记信息集合
     */
    List<RegisterVo> selectNewHsYiqingRegisterList(HsYiqingRegister hsYiqingRegister);
}
