package com.willalp.yiqing.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.willalp.yiqing.domain.HsYiqingRnsResult;
import com.willalp.yiqing.domain.vo.RnsResultVo;

import java.util.List;

/**
 * 核酸检测结果Mapper接口
 *
 * @author willalp
 * @date 2022-05-18
 */
public interface HsYiqingRnsResultMapper extends BaseMapper<HsYiqingRnsResult> {

    /**
     * 查询核酸检测结果列表
     *
     * @param hsYiqingRnsResult 核酸检测结果
     * @return 核酸检测结果集合
     */
    List<RnsResultVo> selectHsYiqingRnsResultList(RnsResultVo rnsResultVo);
}
