package com.willalp.yiqing.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.willalp.yiqing.domain.HsYiqingTask;

import java.util.List;

/**
 * 疫情防控-任务排班Mapper接口
 *
 * @author willalp
 * @date 2022-04-02
 */
public interface HsYiqingTaskMapper extends BaseMapper<HsYiqingTask>
{
    /**
     * 查询疫情防控-任务排班列表
     *
     * @param hsYiqingTask 疫情防控-任务排班
     * @return 疫情防控-任务排班集合
     */
    List<HsYiqingTask> selectHsYiqingTaskList(HsYiqingTask hsYiqingTask);
}
