package com.willalp.yiqing.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.willalp.yiqing.domain.HsYiqingUserQueResult;

import java.util.List;

/**
 * 用户登记结果Mapper接口
 *
 * @author willalp
 * @date 2022-03-29
 */
public interface HsYiqingUserQueResultMapper extends BaseMapper<HsYiqingUserQueResult>
{
    /**
     * 查询用户登记结果列表
     *
     * @param hsYiqingUserQueResult 用户登记结果
     * @return 用户登记结果集合
     */
    public List<HsYiqingUserQueResult> selectHsYiqingUserQueResultList(HsYiqingUserQueResult hsYiqingUserQueResult);
}
