package com.willalp.yiqing.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.yiqing.domain.HsOrdersLog;
import com.willalp.yiqing.domain.HsOrdersLogData;

import java.util.List;

/**
 * 派单记录Service接口
 *
 * @author willalp
 * @date 2022-05-24
 */
public interface IHsOrdersLogService extends IService<HsOrdersLog> {
    /**
     * 查询派单记录列表
     *
     * @param hsOrdersLog 派单记录
     * @return 派单记录集合
     */
    public List<HsOrdersLog> selectHsOrdersLogList(HsOrdersLog hsOrdersLog);

    /**
     * 导出派单结果
     *
     * @param hsOrdersLog
     * @return
     */
    List<HsOrdersLogData> exportOrderResult(HsOrdersLog hsOrdersLog);
}
