package com.willalp.yiqing.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.yiqing.domain.HsTaskBelongUser;

import java.util.List;

/**
 * 疫情防控-任务负责人Service接口
 *
 * @author willalp
 * @date 2022-04-02
 */
public interface IHsTaskBelongUserService extends IService<HsTaskBelongUser>
{
    /**
     * 查询疫情防控-任务负责人列表
     *
     * @param hsTaskBelongUser 疫情防控-任务负责人
     * @return 疫情防控-任务负责人集合
     */
    public List<HsTaskBelongUser> selectHsTaskBelongUserList(HsTaskBelongUser hsTaskBelongUser);
}
