package com.willalp.yiqing.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.yiqing.domain.HsYiqingAddr;

/**
 * 疫情地理地址Service接口
 *
 * @author willalp
 * @date 2022-05-15
 */
public interface IHsYiqingAddrService extends IService<HsYiqingAddr>
{
    /**
     * 查询疫情地理地址列表
     *
     * @param hsYiqingAddr 疫情地理地址
     * @return 疫情地理地址集合
     */
    public List<HsYiqingAddr> selectHsYiqingAddrList(HsYiqingAddr hsYiqingAddr);

    /**
     * @param list
     * @return
     */
    String importData(List<HsYiqingAddr> list);
}
