package com.willalp.yiqing.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.yiqing.domain.HsYiqingQuestion;

/**
 * 疫情登记问题Service接口
 *
 * @author willalp
 * @date 2022-05-10
 */
public interface IHsYiqingQuestionService extends IService<HsYiqingQuestion>
{
    /**
     * 查询疫情登记问题列表
     *
     * @param hsYiqingQuestion 疫情登记问题
     * @return 疫情登记问题集合
     */
    public List<HsYiqingQuestion> selectHsYiqingQuestionList(HsYiqingQuestion hsYiqingQuestion);
}
