package com.willalp.yiqing.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.yiqing.domain.HsYiqingRnsResult;
import com.willalp.yiqing.domain.vo.RnsResultVo;

/**
 * 核酸检测结果Service接口
 *
 * @author willalp
 * @date 2022-05-18
 */
public interface IHsYiqingRnsResultService extends IService<HsYiqingRnsResult>
{
    /**
     * 查询核酸检测结果列表
     *
     *
     * @param rnsResultVo@return 核酸检测结果集合
     */
    public List<RnsResultVo> selectHsYiqingRnsResultList(RnsResultVo rnsResultVo);

    /**
     * @param list
     * @return
     */
    String importData(List<RnsResultVo> list);
}
