package com.willalp.yiqing.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.yiqing.domain.HsYiqingRule;

import java.util.List;

/**
 * 任务提醒规则Service接口
 *
 * @author willalp
 * @date 2022-04-13
 */
public interface IHsYiqingRuleService extends IService<HsYiqingRule>
{
    /**
     * 查询任务提醒规则列表
     *
     * @param hsYiqingRule 任务提醒规则
     * @return 任务提醒规则集合
     */
    public List<HsYiqingRule> selectHsYiqingRuleList(HsYiqingRule hsYiqingRule);
}
