package com.willalp.yiqing.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.yiqing.domain.HsYiqingUser;

import java.util.List;

/**
 * 疫情登记用户Service接口
 *
 * @author willalp
 * @date 2022-03-29
 */
public interface IHsYiqingUserService extends IService<HsYiqingUser>
{
    /**
     * 查询疫情登记用户列表
     *
     * @param hsYiqingUser 疫情登记用户
     * @return 疫情登记用户集合
     */
    public List<HsYiqingUser> selectHsYiqingUserList(HsYiqingUser hsYiqingUser);
}
