package com.willalp.yiqing.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.willalp.yiqing.domain.HsTaskBelongUser;
import com.willalp.yiqing.mapper.HsTaskBelongUserMapper;
import com.willalp.yiqing.service.IHsTaskBelongUserService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 疫情防控-任务负责人Service业务层处理
 *
 * @author willalp
 * @date 2022-04-02
 */
@Service
public class HsTaskBelongUserServiceImpl extends ServiceImpl<HsTaskBelongUserMapper, HsTaskBelongUser>  implements IHsTaskBelongUserService
{
    @Resource
    private HsTaskBelongUserMapper hsTaskBelongUserMapper;

    /**
     * 查询疫情防控-任务负责人列表
     *
     * @param hsTaskBelongUser 疫情防控-任务负责人
     * @return 疫情防控-任务负责人
     */
    @Override
    public List<HsTaskBelongUser> selectHsTaskBelongUserList(HsTaskBelongUser hsTaskBelongUser)
    {
        return hsTaskBelongUserMapper.selectHsTaskBelongUserList(hsTaskBelongUser);
    }
}
