package com.willalp.yiqing.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.willalp.yiqing.domain.HsYiqingUserQueResult;
import com.willalp.yiqing.mapper.HsYiqingUserQueResultMapper;
import com.willalp.yiqing.service.IHsYiqingUserQueResultService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 用户登记结果Service业务层处理
 *
 * @author willalp
 * @date 2022-03-29
 */
@Service
public class HsYiqingUserQueResultServiceImpl extends ServiceImpl<HsYiqingUserQueResultMapper, HsYiqingUserQueResult>  implements IHsYiqingUserQueResultService
{
    @Autowired
    private HsYiqingUserQueResultMapper hsYiqingUserQueResultMapper;

    /**
     * 查询用户登记结果列表
     *
     * @param hsYiqingUserQueResult 用户登记结果
     * @return 用户登记结果
     */
    @Override
    public List<HsYiqingUserQueResult> selectHsYiqingUserQueResultList(HsYiqingUserQueResult hsYiqingUserQueResult)
    {
        return hsYiqingUserQueResultMapper.selectHsYiqingUserQueResultList(hsYiqingUserQueResult);
    }
}
