package com.willalp.yiqing.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.willalp.yiqing.domain.HsYiqingUser;
import com.willalp.yiqing.mapper.HsYiqingUserMapper;
import com.willalp.yiqing.service.IHsYiqingUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 疫情登记用户Service业务层处理
 *
 * @author willalp
 * @date 2022-03-29
 */
@Service
public class HsYiqingUserServiceImpl extends ServiceImpl<HsYiqingUserMapper, HsYiqingUser> implements IHsYiqingUserService {

    @Autowired
    private HsYiqingUserMapper hsYiqingUserMapper;

    /**
     * 查询疫情登记用户列表
     *
     * @param hsYiqingUser 疫情登记用户
     * @return 疫情登记用户
     */
    @Override
    public List<HsYiqingUser> selectHsYiqingUserList(HsYiqingUser hsYiqingUser) {

        return hsYiqingUserMapper.selectHsYiqingUserList(hsYiqingUser);
    }
}
