package com.willalp.control.domain.vo;

import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author hs
 * <p>
 * 打开或关闭信息接收伪类
 */
@Data
public class OpenOrCloseVo {

    /**
     * 设备信息ID
     */
    private String deviceInfoId;
    /**
     * 控制基站ID
     */
    private String deviceId;

    /**
     * 空开设备执行口ID
     */
    private String useNoId;

    /**
     * 是开还是关
     */
    private int isOpenOrClose;


}
