package com.willalp.control.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

import com.willalp.control.domain.HsControlTiming;

/**
 * 设备定时任务Mapper接口
 *
 * @author willalp
 * @date 2022-02-16
 */
public interface HsControlTimingMapper extends BaseMapper<HsControlTiming> {
    /**
     * 查询设备定时任务列表
     *
     * @param hsControlTiming 设备定时任务
     * @return 设备定时任务集合
     */
    List<HsControlTiming> selectHsControlTimingList(HsControlTiming hsControlTiming);
}
