package com.willalp.integral.domain.excelVo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.willalp.common.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 积分管理对象 pns_integral
 *
 * @author willalp
 */

@Data
public class IntegralVo {
    private static final long serialVersionUID = 1L;

    /**
     * 账户名称
     */
    @Excel(name = "账户名称")
    private String nickName;

    /**
     * 用户类型
     */
    @Excel(name = "用户类型")
    private String userType;


    @TableField(exist = false)
    @Excel(name = "手机号")
    private String phonenumber;

    /**
     * 充值积分
     */
    @Excel(name = "充值积分")
    private BigDecimal rechargeIntegral;

}
