package com.willalp.consume.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.willalp.consume.domain.ConsumeMaintain;

import java.util.List;

/**
 * 订餐消费维护Mapper接口
 *
 * @author willalp
 * @date 2021-12-02
 */
public interface ConsumeMaintainMapper extends BaseMapper<ConsumeMaintain> {

    /**
     * 查询订餐消费维护列表
     *
     * @param consumeMaintain 订餐消费维护
     * @return 订餐消费维护集合
     */
    public List<ConsumeMaintain> selectConsumeMaintainList(ConsumeMaintain consumeMaintain);

}
