package com.willalp.system.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.willalp.system.domain.SysCardInfo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 卡片用户信息Mapper接口
 *
 * @author willalp
 * @date 2021-11-30
 */
public interface SysCardInfoMapper extends BaseMapper<SysCardInfo> {

    /**
     * 查询卡片用户信息列表
     *
     * @param sysCardInfo 卡片用户信息
     * @return 卡片用户信息集合
     */
    public List<SysCardInfo> selectSysCardInfoList(SysCardInfo sysCardInfo);

}
