package com.willalp.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;

import com.willalp.system.domain.SysDeptPost;

/**
 * 岗位设置2Mapper接口
 *
 * @author songyu
 * @date 2022-02-11
 */
public interface SysDeptPostMapper extends BaseMapper<SysDeptPost>
{
    /**
     * 查询岗位设置2列表
     *
     * @param sysDeptPost 岗位设置2
     * @return 岗位设置2集合
     */
    public List<SysDeptPost> selectSysDeptPostList(SysDeptPost sysDeptPost);

    public SysDeptPost selectById(Long postId);

    /**
     * 修改就餐地
     *
     * @param sysDeptPost 岗位
     * @return 结果
     */
    public int updateSysDeptPost(SysDeptPost sysDeptPost);

    /**
     * 删除就餐地
     *
     * @param placeId 就餐地主键
     * @return 结果
     */
    public int deleteSysDeptPostByPostId(Long postId);
}
