package com.willalp.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.willalp.system.domain.SysDevice;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 设备账户Mapper接口
 *
 * @author willalp
 * @date 2021-12-01
 */
public interface SysDeviceMapper extends BaseMapper<SysDevice> {
    /**
     * 查询设备账户列表
     *
     * @param sysDevice 设备账户
     * @return 设备账户集合
     */
    public List<SysDevice> selectSysDeviceList(SysDevice sysDevice);

}
