package com.willalp.system.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.system.domain.DeviceRelation;

/**
 * 设备绑定1Service接口
 *
 * @author songyu
 * @date 2022-02-25
 */
public interface IDeviceRelationService extends IService<DeviceRelation>
{
    /**
     * 查询设备绑定1列表
     *
     * @param deviceRelation 设备绑定1
     * @return 设备绑定1集合
     */
    public List<DeviceRelation> selectDeviceRelationList(DeviceRelation deviceRelation);
}
