package com.willalp.control.userinfo.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.control.userinfo.domain.HsSysUserinfo;

import java.util.List;

/**
 * 注册用户信息Service接口
 *
 * @author willalp
 * @date 2021-11-24
 */
public interface IHsSysUserinfoService extends IService<HsSysUserinfo>
{
    /**
     * 查询注册用户信息列表
     *
     * @param hsSysUserinfo 注册用户信息
     * @return 注册用户信息集合
     */
    List<HsSysUserinfo> selectHsSysUserinfoList(HsSysUserinfo hsSysUserinfo);

    void saveUserInfo(HsSysUserinfo hsSysUserinfo);
}
