CREATE TABLE `sys_user_organization`  (
   `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
   `login_name` varchar(30) NULL COMMENT '用户编码',
   `organization_code` varchar(20) NULL COMMENT '机构代码',
   `user_type` varchar(2) NULL COMMENT '用户类型',
   `integral` decimal(10, 2) NULL DEFAULT 0.00 COMMENT '账户积分',
   `effective_date` date NULL COMMENT '有效日期',
   `is_default` int(11) NULL COMMENT '是否默认机构(1:是0:否)',
   PRIMARY KEY (`id`)
) COMMENT = '用户机构表';