package com.willalp.canteen.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.willalp.canteen.domain.HsGift;

import java.util.List;

/**
 * 礼品登记Mapper接口
 *
 * @author songyu
 * @date 2022-03-03
 */
public interface HsGiftMapper extends BaseMapper<HsGift>
{
    /**
     * 查询礼品登记列表
     *
     * @param hsGift 礼品登记
     * @return 礼品登记集合
     */
    public List<HsGift> selectHsGiftList(HsGift hsGift);
}
