package com.willalp.canteen.service.impl;

import com.willalp.canteen.domain.vo.PlaceIncomeVo;
import com.willalp.canteen.mapper.PlaceIncomeMapper;
import com.willalp.canteen.service.IReportService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 礼品登记Service业务层处理
 *
 * @author songyu
 * @date 2022-03-03
 */
@Service
public class ReportServiceImpl  implements IReportService
{
    @Autowired
    private PlaceIncomeMapper placeIncomeMapper;

    /**
     * 查询礼品登记列表
     *
     * @param hsGift 礼品登记
     * @return 礼品登记
     */
    @Override
    public List<PlaceIncomeVo> selectPlaceIncome(PlaceIncomeVo placeIncomeVo)
    {
        return placeIncomeMapper.selectPlaceIncome(placeIncomeVo);
    }
}
