package com.willalp.addressbook.domain;

import lombok.Data;

import java.util.List;

@Data
public class AddressBook {

    public AddressBook() {
    }

    public AddressBook(String title, List<AddressBookItem> children) {
        this.title = title;
        this.children = children;
    }

    /**
     * 首字母
     */
    private String title;

    /**
     * 子数据
     */
    private List<AddressBookItem> children;

    @Data
    public static class AddressBookItem {
        public Long id;
        public String name;
        public String phone;
        public String imgSrc;
    }
}
