package com.willalp.clockingin.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
import com.willalp.clockingin.domain.HsPnsShift;

/**
 * 考勤班次Mapper接口
 *
 * @author willalp
 * @date 2022-04-26
 */
public interface HsPnsShiftMapper extends BaseMapper<HsPnsShift>
{
    /**
     * 查询考勤班次列表
     *
     * @param hsPnsShift 考勤班次
     * @return 考勤班次集合
     */
    List<HsPnsShift> selectHsPnsShiftList(HsPnsShift hsPnsShift);
}
