package com.willalp.clockingin.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.clockingin.domain.HsPnsShift;

/**
 * 考勤班次Service接口
 *
 * @author willalp
 * @date 2022-04-26
 */
public interface IHsPnsShiftService extends IService<HsPnsShift>
{
    /**
     * 查询考勤班次列表
     *
     * @param hsPnsShift 考勤班次
     * @return 考勤班次集合
     */
    public List<HsPnsShift> selectHsPnsShiftList(HsPnsShift hsPnsShift);
}
