package com.willalp.clockingin.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.clockingin.domain.HsPnsVacateTime;

/**
 * 请假时间记录Service接口
 *
 * @author willalp
 * @date 2022-05-10
 */
public interface IHsPnsVacateTimeService extends IService<HsPnsVacateTime>
{
    /**
     * 查询请假时间记录列表
     *
     * @param hsPnsVacateTime 请假时间记录
     * @return 请假时间记录集合
     */
    public List<HsPnsVacateTime> selectHsPnsVacateTimeList(HsPnsVacateTime hsPnsVacateTime);
}
