package com.willalp.files.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.files.domain.HsOrgPersonnelFiles;

import java.util.List;

/**
 * 机构人员档案Service接口
 *
 * @author willalp
 * @date 2022-08-01
 */
public interface IHsOrgPersonnelFilesService extends IService<HsOrgPersonnelFiles> {
    /**
     * 查询机构人员档案列表
     *
     * @param hsOrgPersonnelFiles 机构人员档案
     * @return 机构人员档案集合
     */
    List<HsOrgPersonnelFiles> selectHsOrgPersonnelFilesList(HsOrgPersonnelFiles hsOrgPersonnelFiles);

    List<HsOrgPersonnelFiles> importHsOrgPersonnelFilesList(HsOrgPersonnelFiles hsOrgPersonnelFiles);

    String importData(List<HsOrgPersonnelFiles> list);
}
