package com.willalp.flow.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
import com.willalp.flow.domain.BizLeaveImg;

/**
 * 请假记录图像信息Mapper接口
 *
 * @author willalp
 * @date 2022-10-19
 */
public interface BizLeaveImgMapper extends BaseMapper<BizLeaveImg>
{
    /**
     * 查询请假记录图像信息列表
     *
     * @param bizLeaveImg 请假记录图像信息
     * @return 请假记录图像信息集合
     */
    List<BizLeaveImg> selectBizLeaveImgList(BizLeaveImg bizLeaveImg);
}
