package com.willalp.flow.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.willalp.flow.domain.HsFlowConditionModel;

import java.util.List;

/**
 * 流程条件组件Mapper接口
 *
 * @author willalp
 * @date 2022-10-14
 */
public interface HsFlowConditionModelMapper extends BaseMapper<HsFlowConditionModel> {
    /**
     * 查询流程条件组件列表
     *
     * @param hsFlowConditionModel 流程条件组件
     * @return 流程条件组件集合
     */
    List<HsFlowConditionModel> selectHsFlowConditionModelList(HsFlowConditionModel hsFlowConditionModel);


    /**
     * 查询条件组
     *
     * @param id
     * @return
     */
    List<HsFlowConditionModel> queryConditionGroup(String id);


}
