package com.willalp.flow.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.willalp.flow.domain.HsFlowExamples;

import java.util.List;

/**
 * 流程实例Mapper接口
 *
 * @author willalp
 * @date 2022-10-09
 */
public interface HsFlowExamplesMapper extends BaseMapper<HsFlowExamples>
{
    /**
     * 查询流程实例列表
     *
     * @param hsFlowExamples 流程实例
     * @return 流程实例集合
     */
    List<HsFlowExamples> selectHsFlowExamplesList(HsFlowExamples hsFlowExamples);
}
