package com.willalp.flow.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
import com.willalp.flow.domain.HsFlowModel;

/**
 * 流程模型Mapper接口
 *
 * @author willalp
 * @date 2022-10-09
 */
public interface HsFlowModelMapper extends BaseMapper<HsFlowModel>
{
    /**
     * 查询流程模型列表
     *
     * @param hsFlowModel 流程模型
     * @return 流程模型集合
     */
    List<HsFlowModel> selectHsFlowModelList(HsFlowModel hsFlowModel);
}
