package com.willalp.flow.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.willalp.flow.domain.HsFlowRunningRecord;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 流程运行记录Mapper接口
 *
 * @author willalp
 * @date 2022-10-09
 */
public interface HsFlowRunningRecordMapper extends BaseMapper<HsFlowRunningRecord>
{
    /**
     * 查询流程运行记录列表
     *
     * @param hsFlowRunningRecord 流程运行记录
     * @return 流程运行记录集合
     */
    List<HsFlowRunningRecord> selectHsFlowRunningRecordList(HsFlowRunningRecord hsFlowRunningRecord);


    List<HsFlowRunningRecord> selectHsFlowRunningRecordTrue(@Param("taskId") String taskId, @Param("yon") String yon);
}
