package com.willalp.flow.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.flow.domain.BizLeaveImg;

/**
 * 请假记录图像信息Service接口
 *
 * @author willalp
 * @date 2022-10-19
 */
public interface IBizLeaveImgService extends IService<BizLeaveImg>
{
    /**
     * 查询请假记录图像信息列表
     *
     * @param bizLeaveImg 请假记录图像信息
     * @return 请假记录图像信息集合
     */
    public List<BizLeaveImg> selectBizLeaveImgList(BizLeaveImg bizLeaveImg);
}
