package com.willalp.flow.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.flow.domain.HsFlowBase;

import java.util.List;

/**
 * 流程基础模型Service接口
 *
 * @author willalp
 * @date 2022-10-09
 */
public interface IHsFlowBaseService extends IService<HsFlowBase>
{
    /**
     * 查询流程基础模型列表
     *
     * @param hsFlowBase 流程基础模型
     * @return 流程基础模型集合
     */
    public List<HsFlowBase> selectHsFlowBaseList(HsFlowBase hsFlowBase);
}
