package com.willalp.flow.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.flow.domain.HsFlowModel;

/**
 * 流程模型Service接口
 *
 * @author willalp
 * @date 2022-10-09
 */
public interface IHsFlowModelService extends IService<HsFlowModel>
{
    /**
     * 查询流程模型列表
     *
     * @param hsFlowModel 流程模型
     * @return 流程模型集合
     */
    public List<HsFlowModel> selectHsFlowModelList(HsFlowModel hsFlowModel);
}
