package com.willalp.flow.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.flow.domain.HsFlowRunningRecord;

import java.util.List;

/**
 * 流程运行记录Service接口
 *
 * @author willalp
 * @date 2022-10-09
 */
public interface IHsFlowRunningRecordService extends IService<HsFlowRunningRecord> {
    /**
     * 查询流程运行记录列表
     *
     * @param hsFlowRunningRecord 流程运行记录
     * @return 流程运行记录集合
     */
    public List<HsFlowRunningRecord> selectHsFlowRunningRecordList(HsFlowRunningRecord hsFlowRunningRecord);

    List<HsFlowRunningRecord> selectHsFlowRunningRecordTrue(String taskId);
}
