package com.willalp.flow.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.willalp.flow.domain.HsFlowExamples;
import com.willalp.flow.mapper.HsFlowExamplesMapper;
import com.willalp.flow.service.IHsFlowExamplesService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 流程实例Service业务层处理
 *
 * @author willalp
 * @date 2022-10-09
 */
@Service
public class HsFlowExamplesServiceImpl extends ServiceImpl<HsFlowExamplesMapper, HsFlowExamples>  implements IHsFlowExamplesService
{
    @Resource
    private HsFlowExamplesMapper hsFlowExamplesMapper;

    /**
     * 查询流程实例列表
     *
     * @param hsFlowExamples 流程实例
     * @return 流程实例
     */
    @Override
    public List<HsFlowExamples> selectHsFlowExamplesList(HsFlowExamples hsFlowExamples)
    {
        return hsFlowExamplesMapper.selectHsFlowExamplesList(hsFlowExamples);
    }
}
