package com.willalp.flow.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.willalp.flow.domain.HsFlowModel;
import com.willalp.flow.mapper.HsFlowModelMapper;
import com.willalp.flow.service.IHsFlowModelService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 流程模型Service业务层处理
 *
 * @author willalp
 * @date 2022-10-09
 */
@Service
public class HsFlowModelServiceImpl extends ServiceImpl<HsFlowModelMapper, HsFlowModel>  implements IHsFlowModelService
{
    @Resource
    private HsFlowModelMapper hsFlowModelMapper;

    /**
     * 查询流程模型列表
     *
     * @param hsFlowModel 流程模型
     * @return 流程模型
     */
    @Override
    public List<HsFlowModel> selectHsFlowModelList(HsFlowModel hsFlowModel)
    {
        return hsFlowModelMapper.selectHsFlowModelList(hsFlowModel);
    }
}
