package com.willalp.group.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.group.domain.HsGroupConfig;

import java.util.List;

/**
 * 群组配置Service接口
 *
 * @author willalp
 * @date 2022-07-22
 */
public interface IHsGroupConfigService extends IService<HsGroupConfig>
{
    /**
     * 查询群组配置列表
     *
     * @param hsGroupConfig 群组配置
     * @return 群组配置集合
     */
    public List<HsGroupConfig> selectHsGroupConfigList(HsGroupConfig hsGroupConfig);


    boolean groupAddUser(HsGroupConfig hsGroupConfig);

    /**
     * 通过用户获取群组列表
     *
     * @param un
     * @return
     */
    List<HsGroupConfig> appGroupList(String un);
}
