package com.willalp.salary.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.willalp.salary.domain.HsSalarySlip;

import java.util.List;

/**
 * 工资条基础Mapper接口
 *
 * @author willalp
 * @date 2022-07-26
 */
public interface HsSalarySlipMapper extends BaseMapper<HsSalarySlip> {
    /**
     * 查询工资条基础列表
     *
     * @param hsSalarySlip 工资条基础
     * @return 工资条基础集合
     */
    List<HsSalarySlip> selectHsSalarySlipList(HsSalarySlip hsSalarySlip);

    /**
     * 查询工资条基础列表
     *
     * @param hsSalarySlip 工资条基础
     * @return 工资条基础集合
     */
    List<HsSalarySlip> excelList(HsSalarySlip hsSalarySlip);


    /**
     * 一键发布
     *
     * @return 工资条基础集合
     */
    boolean updateAllPushStatus();
}
