package com.willalp.stat.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.willalp.stat.domain.HsStatClockingIn;

import java.util.List;

/**
 * 统计考勤Mapper接口
 *
 * @author willalp
 * @date 2022-08-03
 */
public interface HsStatClockingInMapper extends BaseMapper<HsStatClockingIn>
{
    /**
     * 查询统计考勤列表
     *
     * @param hsStatClockingIn 统计考勤
     * @return 统计考勤集合
     */
    List<HsStatClockingIn> selectHsStatClockingInList(HsStatClockingIn hsStatClockingIn);
}
