package com.willalp.stat.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.common.utils.poi.ExcelUtil;
import com.willalp.stat.domain.HsStatClockingIn;

import java.io.InputStream;
import java.util.List;

/**
 * 统计考勤Service接口
 *
 * @author willalp
 * @date 2022-08-03
 */
public interface IHsStatClockingInService extends IService<HsStatClockingIn>
{
    /**
     * 查询统计考勤列表
     *
     * @param hsStatClockingIn 统计考勤
     * @return 统计考勤集合
     */
    public List<HsStatClockingIn> selectHsStatClockingInList(HsStatClockingIn hsStatClockingIn);

    String importData(List<HsStatClockingIn> list, ExcelUtil<HsStatClockingIn> util, InputStream is);
}
