package com.willalp.yiqing.domain.vo;

import com.willalp.common.annotation.Excel;
import lombok.Data;


@Data
public class OrdersResultVo {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private String dataId;

    /**
     * 编号
     */
    @Excel(name = "编号")
    private String UserNo;

    /**
     * 派单时间
     */
    @Excel(name = "派单时间", width = 15)
    private String sendOrdersEnd;

    /**
     * 门牌号
     */
    @Excel(name = "居委")
    private String houseNo;

    /**
     * 姓名
     */
    @Excel(name = "联系人")
    private String belongName;

    /**
     * 联系电话
     */
    @Excel(name = "联系电话")
    private String belongPhone;

    /**
     * 姓名
     */
    @Excel(name = "姓名")
    private String userName;

    /**
     * 证件号
     */
    @Excel(name = "证件号")
    private String attestNo;

    /**
     * 联系电话
     */
    @Excel(name = "个人电话")
    private String phone;

    /**
     * 居住地址
     */
    @Excel(name = "居住地址")
    private String address;
    /**
     * 核酸结果
     */
    @Excel(name = "核酸结果")
    private String rnaResult;

    /**
     * 测定值
     */
    @Excel(name = "测定值")
    private String ctValue;

    @Excel(name = "ORF1ab基因（SS）")
    private String excelT1;

    @Excel(name = "N基因（SS）")
    private String excelT2;

    /**
     * 抗原结果
     */
    @Excel(name = "抗原结果")
    private String antigenResult;

    /**
     * 分类
     */
    @Excel(name = "核酸分类")
    private String sort;

}
