package com.willalp.yiqing.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.willalp.yiqing.domain.HsOrdersLogData;

import java.util.List;

/**
 * 派单记录数据Mapper接口
 *
 * @author willalp
 * @date 2022-05-24
 */
public interface HsOrdersLogDataMapper extends BaseMapper<HsOrdersLogData>
{
    /**
     * 查询派单记录数据列表
     *
     * @param hsOrdersLogData 派单记录数据
     * @return 派单记录数据集合
     */
    List<HsOrdersLogData> selectHsOrdersLogDataList(HsOrdersLogData hsOrdersLogData);
}
