package com.willalp.yiqing.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.willalp.yiqing.domain.HsOrdersLog;

import java.util.List;

/**
 * 派单记录Mapper接口
 *
 * @author willalp
 * @date 2022-05-24
 */
public interface HsOrdersLogMapper extends BaseMapper<HsOrdersLog>
{
    /**
     * 查询派单记录列表
     *
     * @param hsOrdersLog 派单记录
     * @return 派单记录集合
     */
    List<HsOrdersLog> selectHsOrdersLogList(HsOrdersLog hsOrdersLog);
}
