package com.willalp.yiqing.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

import com.willalp.yiqing.domain.HsPositiveContiguityUser;
import com.willalp.yiqing.domain.vo.PcuVo;
import org.apache.ibatis.annotations.Param;

/**
 * 阳性及密接人员Mapper接口
 *
 * @author willalp
 * @date 2022-05-15
 */
public interface HsPositiveContiguityUserMapper extends BaseMapper<HsPositiveContiguityUser> {
    /**
     * 查询阳性及密接人员列表
     *
     * @param pcuVo
     * @return 阳性及密接人员集合
     */
    List<HsPositiveContiguityUser> selectHsPositiveContiguityUserList(PcuVo pcuVo);


    List<HsPositiveContiguityUser> selectPcuJJGlList(PcuVo pcuVo);

    boolean updateListById(@Param("list") List<HsPositiveContiguityUser> list);
}
