package com.willalp.yiqing.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
import com.willalp.yiqing.domain.HsYiqingQuestion;

/**
 * 疫情登记问题Mapper接口
 *
 * @author willalp
 * @date 2022-05-10
 */
public interface HsYiqingQuestionMapper extends BaseMapper<HsYiqingQuestion>
{
    /**
     * 查询疫情登记问题列表
     *
     * @param hsYiqingQuestion 疫情登记问题
     * @return 疫情登记问题集合
     */
    List<HsYiqingQuestion> selectHsYiqingQuestionList(HsYiqingQuestion hsYiqingQuestion);
}
