package com.willalp.yiqing.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.willalp.yiqing.domain.HsYiqingRule;

import java.util.List;

/**
 * 任务提醒规则Mapper接口
 *
 * @author willalp
 * @date 2022-04-13
 */
public interface HsYiqingRuleMapper extends BaseMapper<HsYiqingRule>
{
    /**
     * 查询任务提醒规则列表
     *
     * @param hsYiqingRule 任务提醒规则
     * @return 任务提醒规则集合
     */
    List<HsYiqingRule> selectHsYiqingRuleList(HsYiqingRule hsYiqingRule);
}
