package com.willalp.yiqing.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.yiqing.domain.HsYiqingRegister;
import com.willalp.yiqing.domain.vo.RegisterVo;import com.willalp.yiqing.domain.vo.RegisterVo2;

import java.util.List;

/**
 * 疫情登记信息Service接口
 *
 * @author willalp
 * @date 2022-05-16
 */
public interface IHsYiqingRegisterService extends IService<HsYiqingRegister> {
    /**
     * 查询疫情登记信息列表
     *
     * @param hsYiqingRegister 疫情登记信息
     * @return 疫情登记信息集合
     */
    public List<RegisterVo2> selectHsYiqingRegisterList(HsYiqingRegister hsYiqingRegister);



    /**
     * @param list
     * @return
     */
    String importData(List<RegisterVo2> list);
}
