package com.willalp.yiqing.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.yiqing.domain.HsYiqingTask;

import java.util.List;

/**
 * 疫情防控-任务排班Service接口
 *
 * @author willalp
 * @date 2022-04-02
 */
public interface IHsYiqingTaskService extends IService<HsYiqingTask>
{
    /**
     * 查询疫情防控-任务排班列表
     *
     * @param hsYiqingTask 疫情防控-任务排班
     * @return 疫情防控-任务排班集合
     */
    public List<HsYiqingTask> selectHsYiqingTaskList(HsYiqingTask hsYiqingTask);
}
