package com.willalp.yiqing.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import java.util.List;
import com.willalp.yiqing.mapper.HsYiqingQueGroupMapper;
import com.willalp.yiqing.domain.HsYiqingQueGroup;
import com.willalp.yiqing.service.IHsYiqingQueGroupService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * 问题分组Service业务层处理
 *
 * @author willalp
 * @date 2022-04-28
 */
@Service
public class HsYiqingQueGroupServiceImpl extends ServiceImpl<HsYiqingQueGroupMapper, HsYiqingQueGroup>  implements IHsYiqingQueGroupService
{
    @Resource
    private HsYiqingQueGroupMapper hsYiqingQueGroupMapper;

    /**
     * 查询问题分组列表
     *
     * @param hsYiqingQueGroup 问题分组
     * @return 问题分组
     */
    @Override
    public List<HsYiqingQueGroup> selectHsYiqingQueGroupList(HsYiqingQueGroup hsYiqingQueGroup)
    {
        return hsYiqingQueGroupMapper.selectHsYiqingQueGroupList(hsYiqingQueGroup);
    }
}
