package com.willalp.yiqing.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.willalp.yiqing.domain.HsYiqingRule;
import com.willalp.yiqing.mapper.HsYiqingRuleMapper;
import com.willalp.yiqing.service.IHsYiqingRuleService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 任务提醒规则Service业务层处理
 *
 * @author willalp
 * @date 2022-04-13
 */
@Service
public class HsYiqingRuleServiceImpl extends ServiceImpl<HsYiqingRuleMapper, HsYiqingRule>  implements IHsYiqingRuleService
{
    @Resource
    private HsYiqingRuleMapper hsYiqingRuleMapper;

    /**
     * 查询任务提醒规则列表
     *
     * @param hsYiqingRule 任务提醒规则
     * @return 任务提醒规则
     */
    @Override
    public List<HsYiqingRule> selectHsYiqingRuleList(HsYiqingRule hsYiqingRule)
    {
        return hsYiqingRuleMapper.selectHsYiqingRuleList(hsYiqingRule);
    }
}
