/**
 * @projectName willalp-pns-ml
 * @package com.willalp.common.core.mybatis
 * @className com.willalp.common.core.mybatis.EasyBaseMapper
 * @copyright Copyright 2019 HuiShan, Inc All rights reserved.
 */
package com.willalp.common.core.mybatis;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.Collection;

/**
 * EasyBaseMapper
 * @description mybatis-plus 批量新增扩展接口
 * @author hs
 * @date 2022/12/7 18:50
 * @version 1.0
 */
public interface EasyBaseMapper<T> extends BaseMapper<T> {
    /**
     * 批量插入 仅适用于mysql
     *
     * @param entityList 实体列表
     * @return 影响行数
     */
    Integer insertBatchSomeColumn(Collection<T> entityList);
}
 