package com.willalp.control.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
import com.willalp.control.domain.HsControlDeviceInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

/**
 * 控制设备状态信息Mapper接口
 *
 * @author willalp
 * @date 2022-02-16
 */
public interface HsControlDeviceInfoMapper extends BaseMapper<HsControlDeviceInfo>
{
    /**
     * 查询控制设备状态信息列表
     *
     * @param hsControlDeviceInfo 控制设备状态信息
     * @return 控制设备状态信息集合
     */
    public List<HsControlDeviceInfo> selectHsControlDeviceInfoList(HsControlDeviceInfo hsControlDeviceInfo);

}
