package com.willalp.control.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.control.domain.HsControlLog;

/**
 * 控制日志Service接口
 *
 * @author willalp
 * @date 2022-03-11
 */
public interface IHsControlLogService extends IService<HsControlLog>
{
    /**
     * 查询控制日志列表
     *
     * @param hsControlLog 控制日志
     * @return 控制日志集合
     */
    public List<HsControlLog> selectHsControlLogList(HsControlLog hsControlLog);

    /**
     * 根据执行口和时候获取日志列表
     *
     * @param useNoId
     * @param date
     * @return
     */
    List<HsControlLog> selectLogListByUseNoIdAndDate(String useNoId, String date);
}
