package com.willalp.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
import com.willalp.system.domain.DeviceRelation;

/**
 * 设备绑定1Mapper接口
 *
 * @author songyu
 * @date 2022-02-25
 */
public interface DeviceRelationMapper extends BaseMapper<DeviceRelation>
{
    /**
     * 查询设备绑定1列表
     *
     * @param deviceRelation 设备绑定1
     * @return 设备绑定1集合
     */
    public List<DeviceRelation> selectDeviceRelationList(DeviceRelation deviceRelation);
}
