package com.willalp.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.willalp.system.domain.HsPostConfig;

import java.util.List;

/**
 * 岗位配置Mapper接口
 *
 * @author willalp
 * @date 2022-09-21
 */
public interface HsPostConfigMapper extends BaseMapper<HsPostConfig>
{
    /**
     * 查询岗位配置列表
     *
     * @param hsPostConfig 岗位配置
     * @return 岗位配置集合
     */
    List<HsPostConfig> selectHsPostConfigList(HsPostConfig hsPostConfig);
}
