package com.willalp.system.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.system.domain.SysDeptPost;

/**
 * 岗位设置2Service接口
 *
 * @author songyu
 * @date 2022-02-11
 */
public interface ISysDeptPostService extends IService<SysDeptPost>
{
    /**
     * 查询岗位设置2列表
     *
     * @param sysDeptPost 岗位设置2
     * @return 岗位设置2集合
     */
    public List<SysDeptPost> selectSysDeptPostList(SysDeptPost sysDeptPost);

    public SysDeptPost selectById(Long postId);

    /**
     * 修改岗位
     *
     * @param sysDeptPost 岗位
     * @return 结果
     */
    public int updateSysDeptPost(SysDeptPost sysDeptPost);

    /**
     * 删除岗位信息
     *
     * @param postId 岗位主键
     * @return 结果
     */
    public int deleteSysDeptPostByPostId(Long postId);
}
