package com.willalp.control.userinfo.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.willalp.control.userinfo.domain.HsSysUserinfo;

import java.util.List;

/**
 * 注册用户信息Mapper接口
 *
 * @author willalp
 * @date 2021-11-24
 */
public interface HsSysUserinfoMapper extends BaseMapper<HsSysUserinfo> {

    /**
     * 查询注册用户信息列表
     *
     * @param hsSysUserinfo 注册用户信息
     * @return 注册用户信息集合
     */
    List<HsSysUserinfo> selectHsSysUserinfoList(HsSysUserinfo hsSysUserinfo);

}
